Module | Sequel::Postgres::IntervalDatasetMethods
In: | lib/sequel/extensions/pg_interval.rb

### Methods

literal_other_append

### Constants

CAST_INTERVAL | = | '::interval'.freeze

### Public Instance methods

literal_other_append(sql, v)

Handle literalization of ActiveSupport::Duration objects, treating them as PostgreSQL intervals.

[Source]

         # File lib/sequel/extensions/pg_interval.rb, line 173
    173:       def literal_other_append(sql, v)
    174:         case v
    175:         when ActiveSupport::Duration
    176:           literal_append(sql, IntervalDatabaseMethods.literal_duration(v))
    177:           sql << CAST_INTERVAL
    178:         else
    179:           super
    180:         end
    181:       end

[Validate]